%define srcname ktp-common-internals
%define rel 1
%define major 9
%define version_lib 17

Name:           telepathy-kde-common-internals
Version: 17.12.2
Release:        %mkrel %{rel}
Summary:        KDE Telepathy Parts
Group:          System/Libraries
License:        LGPLv2
URL:            https://projects.kde.org/projects/extragear/network/telepathy/ktp-common-internals
Source0:        http://download.kde.org/stable/kde-telepathy/%{version}/src/%{srcname}-%{version}.tar.xz

BuildRequires:  kf5-macros

BuildRequires:  telepathy-logger-qt5-devel

BuildRequires:  pkgconfig(TelepathyQt5) >= 0.9.2.1
BuildRequires:  pkgconfig(libotr)
BuildRequires:  pkgconfig(accounts-qt5)
BuildRequires:  pkgconfig(libsignon-qt5)

BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Test)

BuildRequires:  knotifications-devel
BuildRequires:  kio-devel
BuildRequires:  kcmutils-devel
BuildRequires:  knotifyconfig-devel
BuildRequires:  ktexteditor-devel
BuildRequires:  kwallet-devel
BuildRequires:  kwindowsystem-devel
BuildRequires:  kiconthemes-devel
BuildRequires:  kaccounts-integration-devel
BuildRequires:  kpeople-devel

BuildRequires:  boost-devel
BuildRequires:  doxygen

%description
This package provides the commons part used by telepathy kde.


#------------------------------------------------------------------------------

%package core
Summary:        Commons files used by telepathy kde
Group:          Graphical desktop/KDE 
Requires:       kpeople
Requires:       telepathy-accounts-signon
Requires:       signond
Requires:       kaccounts-integration
Conflicts:      %{name}-translations < 0.5.0
Obsoletes:      %{name}-translations < 0.5.0
Conflicts:      %{name} < 0.5.0
Obsoletes:      %{name} < 0.5.0
Obsoletes:      telepathy-kde-nepomuk-service < 0.1-1
Conflicts:      telepathy-kde-contact-list < 0.4.0

# conflicts with mga6 packages
Conflicts:      kde-l10n-ar < 17.04.3-1
Conflicts:      kde-l10n-bg < 17.04.3-1
Conflicts:      kde-l10n-bs < 17.04.3-1
Conflicts:      kde-l10n-ca < 17.04.3-1
Conflicts:      kde-l10n-ca-valencia < 17.04.3-1
Conflicts:      kde-l10n-cs < 17.04.3-1
Conflicts:      kde-l10n-da < 17.04.3-1
Conflicts:      kde-l10n-de < 17.04.3-1
Conflicts:      kde-l10n-el < 17.04.3-1
Conflicts:      kde-l10n-en_GB < 17.04.3-1
Conflicts:      kde-l10n-en_US < 17.04.3-1
Conflicts:      kde-l10n-es < 17.04.3-1
Conflicts:      kde-l10n-et < 17.04.3-1
Conflicts:      kde-l10n-eu < 17.04.3-1
Conflicts:      kde-l10n-fa < 17.04.3-1
Conflicts:      kde-l10n-fi < 17.04.3-1
Conflicts:      kde-l10n-fr < 17.04.3-1
Conflicts:      kde-l10n-ga < 17.04.3-1
Conflicts:      kde-l10n-gl < 17.04.3-1
Conflicts:      kde-l10n-he < 17.04.3-1
Conflicts:      kde-l10n-hi < 17.04.3-1
Conflicts:      kde-l10n-hr < 17.04.3-1
Conflicts:      kde-l10n-hu < 17.04.3-1
Conflicts:      kde-l10n-ia < 17.04.3-1
Conflicts:      kde-l10n-id < 17.04.3-1
Conflicts:      kde-l10n-is < 17.04.3-1
Conflicts:      kde-l10n-it < 17.04.3-1
Conflicts:      kde-l10n-ja < 17.04.3-1
Conflicts:      kde-l10n-kk < 17.04.3-1
Conflicts:      kde-l10n-km < 17.04.3-1
Conflicts:      kde-l10n-ko < 17.04.3-1
Conflicts:      kde-l10n-lt < 17.04.3-1
Conflicts:      kde-l10n-lv < 17.04.3-1
Conflicts:      kde-l10n-mr < 17.04.3-1
Conflicts:      kde-l10n-nb < 17.04.3-1
Conflicts:      kde-l10n-nds < 17.04.3-1
Conflicts:      kde-l10n-nl < 17.04.3-1
Conflicts:      kde-l10n-nn < 17.04.3-1
Conflicts:      kde-l10n-pa < 17.04.3-1
Conflicts:      kde-l10n-pl < 17.04.3-1
Conflicts:      kde-l10n-pt < 17.04.3-1
Conflicts:      kde-l10n-pt_BR < 17.04.3-1
Conflicts:      kde-l10n-ro < 17.04.3-1
Conflicts:      kde-l10n-ru < 17.04.3-1
Conflicts:      kde-l10n-sk < 17.04.3-1
Conflicts:      kde-l10n-sl < 17.04.3-1
Conflicts:      kde-l10n-sr < 17.04.3-1
Conflicts:      kde-l10n-sv < 17.04.3-1
Conflicts:      kde-l10n-tr < 17.04.3-1
Conflicts:      kde-l10n-ug < 17.04.3-1
Conflicts:      kde-l10n-uk < 17.04.3-1
Conflicts:      kde-l10n-wa < 17.04.3-1
Conflicts:      kde-l10n-zh_CN < 17.04.3-1
Conflicts:      kde-l10n-zh_TW < 17.04.3-1

%description core
Commons files used by telepathy kde.

%files core  -f %name.lang
%_kf5_iconsdir/hicolor/*/*/*
%_kf5_datadir/katepart5/syntax/ktpdebugoutput.xml
%_kf5_datadir/knotifications5/ktelepathy.notifyrc
%_kf5_servicetypes/ktp_logger_plugin.desktop
%_kf5_services/*
%_kf5_qmldir/org/kde/telepathy
%_qt5_plugindir/*.so
%_libexecdir/ktp-proxy
%_kf5_datadir/config.kcfg/ktp-proxy-config.kcfg
%_datadir/dbus-1/services/org.freedesktop.Telepathy.Client.KTp.Proxy.service
%_kf5_datadir/telepathy/clients/KTp.Proxy.client
%_qt5_plugindir/kaccounts/daemonplugins/*.so
%_qt5_plugindir/kpeople/widgets/*.so
%_qt5_plugindir/kpeople/actions/*.so
%_qt5_plugindir/kpeople/datasource/*.so

#------------------------------------------------------------------------------

%define libktpCommoninternals %mklibname ktpCommoninternals %{major}

%package -n %{libktpCommoninternals}
Summary:        Runtime library for %{name}
Group:          System/Libraries

%description -n %{libktpCommoninternals}
Runtime library for %{name}.

%files -n %{libktpCommoninternals}
%{_kf5_libdir}/libKTpCommonInternals.so.%{major}
%{_kf5_libdir}/libKTpCommonInternals.so.%{version_lib}*

#------------------------------------------------------------------------------

%define libktplogger %mklibname ktplogger %{major}

%package -n %{libktplogger}
Summary:        Runtime library for %{name}
Group:          System/Libraries

%description -n %{libktplogger}
Runtime library for %{name}.

%files -n %{libktplogger}
%{_kf5_libdir}/libKTpLogger.so.%{major}
%{_kf5_libdir}/libKTpLogger.so.%{version_lib}*

#------------------------------------------------------------------------------

%define libktpmodels %mklibname ktpmodels %{major}

%package -n %{libktpmodels}
Summary:        Runtime library for %{name}
Group:          System/Libraries

%description -n %{libktpmodels}
Runtime library for %{name}.

%files -n %{libktpmodels}
%{_kf5_libdir}/libKTpModels.so.%{major}
%{_kf5_libdir}/libKTpModels.so.%{version_lib}*

#------------------------------------------------------------------------------

%define libktpwidgets %mklibname ktploggerprivate %{major}

%package -n %{libktpwidgets}
Summary:        Runtime library for %{name}
Group:          System/Libraries

%description -n %{libktpwidgets}
Runtime library for %{name}.

%files -n %{libktpwidgets}
%{_kf5_libdir}/libKTpWidgets.so.%{major}
%{_kf5_libdir}/libKTpWidgets.so.%{version_lib}*

#------------------------------------------------------------------------------

%define libktpotr %mklibname ktpotr %{major}

%package -n %{libktpotr}
Summary:        Runtime library for %{name}
Group:          System/Libraries

%description -n %{libktpotr}
Runtime library for %{name}.

%files -n %{libktpotr}
%{_kf5_libdir}/libKTpOTR.so.%{major}
%{_kf5_libdir}/libKTpOTR.so.%{version_lib}*

#------------------------------------------------------------------------------

%define devel %mklibname %{name} -d

%package -n %{devel}
Summary:        Headers files for %{name}
Group:          Development/KDE and Qt 
Requires:       %name-core = %version-%release
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Requires:       %{libktplogger} = %{version}-%{release}
Requires:       %{libktpwidgets} = %{version}-%{release}
Requires:       %{libktpCommoninternals} = %{version}-%{release}
Requires:       %{libktpmodels} = %{version}-%{release}
Requires:       %{libktpotr} = %{version}-%{release}

%description -n %{devel}
Headers files for %{name}.

%files -n %{devel}
%{_includedir}/KTp
%{_kf5_libdir}/cmake/KTp
%{_kf5_libdir}/*.so
%{_kf5_bindir}/ktp-debugger

#------------------------------------------------------------------------------

%prep
%setup -q -n %{srcname}-%{version}
%autopatch -p1

%build
export LD=/usr/bin/ld.gold
%cmake_kf5
%make_build

%install
%make_install -C build
%find_lang %{name} --all-name


%changelog
* Thu Feb 22 2018 neoclust <neoclust> 17.12.2-1.mga6
+ Revision: 1204140
- New version 17.12.2

* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1090188
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Fri Dec 30 2016 neoclust <neoclust> 16.12.0-2.mga6
+ Revision: 1078682
- Remove telepathy-idle from requires (not supported, mga#18024) (from Vigen)
- Add kaccounts-integration as default require

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076930
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1072120
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067437
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061501
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1050764
- New version 16.08.1

* Tue Aug 30 2016 neoclust <neoclust> 16.08.0-1.mga6
+ Revision: 1049458
- New version 16.08.0

* Fri Jul 29 2016 neoclust <neoclust> 16.04.3-3.mga6
+ Revision: 1043867
- Add requires in the core package

* Fri Jul 29 2016 neoclust <neoclust> 16.04.3-2.mga6
+ Revision: 1043863
- Add default requires

* Sat Jul 09 2016 neoclust <neoclust> 16.04.3-1.mga6
+ Revision: 1040167
- New version 16.04.3
- New version 16.04.2
- New version 16.04.2

* Thu May 12 2016 neoclust <neoclust> 16.04.1-1.mga6
+ Revision: 1014296
- New version 16.04.1

* Wed Apr 27 2016 neoclust <neoclust> 16.04.0-1.mga6
+ Revision: 1006722
- New version 16.04.0

* Sun Apr 03 2016 neoclust <neoclust> 16.03.80-1.mga6
+ Revision: 998057
- New version 16.03.80

* Sun Mar 20 2016 neoclust <neoclust> 15.12.3-1.mga6
+ Revision: 993236
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 15.12.2-1.mga6
+ Revision: 987665
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 15.12.1-1.mga6
+ Revision: 922722
- New version 15.12.1
- New version 15.12.0

* Mon Nov 23 2015 neoclust <neoclust> 15.11.80-1.mga6
+ Revision: 905447
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 15.08.3-1.mga6
+ Revision: 901183
- New version 15.08.3

* Wed Oct 14 2015 neoclust <neoclust> 15.08.2-1.mga6
+ Revision: 890676
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 15.08.1-1.mga6
+ Revision: 880476
- New version 15.08.1

* Mon Sep 14 2015 fwang <fwang> 15.08.0-3.mga6
+ Revision: 879197
- rebuild for new libgcrypt

* Sat Sep 05 2015 neoclust <neoclust> 15.08.0-2.mga6
+ Revision: 873109
- Fix requires in kpeople

* Wed Aug 19 2015 neoclust <neoclust> 15.08.0-1.mga6
+ Revision: 865994
- New version 15.08.0

* Wed Aug 12 2015 neoclust <neoclust> 15.07.90-2.mga6
+ Revision: 863652
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Sun Aug 09 2015 neoclust <neoclust> 15.07.90-1.mga6
+ Revision: 862188
- New version 15.07.90

* Fri Jul 31 2015 neoclust <neoclust> 15.07.80-1.mga6
+ Revision: 859831
- New version 15.07.80

* Tue Jul 07 2015 neoclust <neoclust> 15.04.3-1.mga6
+ Revision: 852329
- New version

* Sat Feb 07 2015 lmenut <lmenut> 0.9.0-2.mga5
+ Revision: 814029
- enable OTR encryption

* Fri Feb 06 2015 lmenut <lmenut> 0.9.0-1.mga5
+ Revision: 813747
- Update to 0.9.0

* Wed Oct 15 2014 umeabot <umeabot> 0.8.1-3.mga5
+ Revision: 742667
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.1-2.mga5
+ Revision: 689799
- Mageia 5 Mass Rebuild

* Mon Aug 25 2014 lmenut <lmenut> 0.8.1-1.mga5
+ Revision: 667403
- Update to 0.8.1
- add upstream patches from kde-telepathy-0.8 branch
- add BuildRequires kpeople-devel & doxygen

* Sat Mar 15 2014 fwang <fwang> 0.8.0-1.mga5
+ Revision: 603950
- update  libmajor
- 0.8.0

* Sun Feb 23 2014 fwang <fwang> 0.7.80-1.mga5
+ Revision: 595801
- add br
- new version 0.7.80

* Thu Feb 06 2014 fwang <fwang> 0.7.1-1.mga5
+ Revision: 584476
- 0.7.1

* Mon Nov 04 2013 lmenut <lmenut> 0.7.0-1.mga4
+ Revision: 549308
- obsoletes telepathy-kde-nepomuk-service (merged)

  + fwang <fwang>
    - new version 0.7.0

* Mon Oct 21 2013 umeabot <umeabot> 0.7-0.beta1.3.mga4
+ Revision: 540514
- Mageia 4 Mass Rebuild

  + mikala <mikala>
    - Add kpeople support

* Tue Oct 08 2013 mikala <mikala> 0.7-0.beta1.1.mga4
+ Revision: 493000
- Update tarball to 0.6.80 aka 0.7 beta1
- Fix files list

* Wed Aug 14 2013 fwang <fwang> 0.6.3-1.mga4
+ Revision: 466266
- new version 0.6.3

* Tue May 28 2013 mikala <mikala> 0.6.2-1.mga4
+ Revision: 429045
- Update tarball to 0.6.2

* Wed Apr 03 2013 mikala <mikala> 0.6.0-1.mga3
+ Revision: 407384
- Update tarball to 0.6.0

* Sat Mar 16 2013 neoclust <neoclust> 0.5.80-2.mga3
+ Revision: 403374
- Core package is not noarch anymore

* Wed Mar 13 2013 neoclust <neoclust> 0.5.80-1.mga3
+ Revision: 402605
- New version

* Wed Feb 20 2013 mikala <mikala> 0.5.3-1.mga3
+ Revision: 399544
- Update tarball to 0.5.3

* Mon Jan 14 2013 umeabot <umeabot> 0.5.2-3.mga3
+ Revision: 384264
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 lmenut <lmenut> 0.5.2-2.mga3
+ Revision: 340043
- Add missing conflicts

* Tue Dec 18 2012 mikala <mikala> 0.5.2-1.mga3
+ Revision: 332470
- Update tarball to 0.5.2

* Tue Oct 16 2012 mikala <mikala> 0.5.1-1.mga3
+ Revision: 306884
- Update tarball to 0.5.1

* Fri Aug 31 2012 mikala <mikala> 0.5.0-2.mga3
+ Revision: 286644
- Add an obsoletes tag to ease upgrade

* Fri Aug 31 2012 mikala <mikala> 0.5.0-1.mga3
+ Revision: 285939
- use conflicts instead of obsoletes to allow update
  This will affect only cauldron where %%{name} was used as a ?\194?\171 real ?\194?\187 arch package & can't be obsoleted by a noarch package
- Update tarball to 0.5.0
- Merge -translations packages & the ?\194?\171 main ?\194?\187 package in a noarch package (-core)

* Tue Jul 17 2012 lmenut <lmenut> 0.4.0-2.mga3
+ Revision: 272016
- add Conflicts against telepathy-kde-contact-list < 0.4.0
  due to file conflicts

* Tue Jul 17 2012 neoclust <neoclust> 0.4.0-1.mga3
+ Revision: 271793
- New version 0.4.0

* Sun Jan 29 2012 mikala <mikala> 0.3.0-1.mga2
+ Revision: 202924
- Fix license tag
- Add URL
- Update SOURCE0
- Remove requires for translation on lib
- Add a noarch package for translations
- imported package telepathy-kde-common-internals

